Skip to main content
GET
/
subscriptions
/
{subscription_id}
/
invoices
/
next
Retrieve next subscription invoice
curl --request GET \
  --url https://api.salesbricks.com/api/v2/subscriptions/{subscription_id}/invoices/next \
  --header 'X-SALESBRICKS-KEY: <api-key>'
{
  "invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "subscription_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "invoice_number": "<string>",
  "due_at": "2023-11-07T05:31:56Z",
  "bill_at": "2023-11-07T05:31:56Z",
  "issued_at": "2023-11-07T05:31:56Z",
  "status": "<string>",
  "fully_paid_at": "2023-11-07T05:31:56Z",
  "grand_total": 123,
  "remaining_amount": 123,
  "currency": "<string>",
  "is_renewal_estimate": true,
  "time_zone": "<string>",
  "payments": [
    {
      "payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "invoice_number": "<string>",
      "paid_amount": 123,
      "paid_at": "2023-11-07T05:31:56Z",
      "currency": "<string>",
      "error": "<string>"
    }
  ],
  "attachments": [
    "<unknown>"
  ],
  "line_items": [
    {
      "brick_name": "<string>",
      "brick_id": "<string>",
      "quantity": 123,
      "tax": 123,
      "grand_total": 123
    }
  ]
}

Authorizations

X-SALESBRICKS-KEY
string
header
required

API key for authentication

Path Parameters

subscription_id
string
required
Pattern: ^([a-zA-Z\d\-]+)$

Query Parameters

include_paid
enum<string>

Set to '1' or 'true' to include paid invoices in the response.

Available options:
1,
True,
true

Response

invoice_id
string<uuid>
required

Unique identifier for the invoice. If the id is null, this is an estimate

subscription_id
string<uuid>
required

ID of the subscription this invoice belongs to

customer_id
string<uuid>
required

ID of the customer who will pay this invoice

invoice_number
string
required

Short form identifier for the invoice. If the invoice_number is null, this is an estimate

due_at
string<date-time>
required

The date on which this invoice is expected to be paid by.

bill_at
string<date-time>
required

The date on which this invoice will be issued and potentially charged.

issued_at
string<date-time>
required

The date on which this invoice was issued.

status
string
required

Current status of the invoice. One of:

  • MUTED — Invoice will not be sent. Muted invoices come from migration cut-overs or from muting invoices in the product settings.
  • SCHEDULED — Scheduled to be issued on a future date.
  • OUTSTANDING — Issued and awaiting payment.
  • DUE — Payment is due.
  • PAST_DUE — Payment is past its due date.
  • PAID — Fully paid.
  • PARTIALLY_PAID — Partially paid, with a remaining balance.
  • ADJUSTED — Adjusted after issuance.
  • CREDITED — Settled by applying credit.
  • UNPAID — Unpaid.
  • PAUSED — Collection is paused.
  • VOIDED — Voided and no longer collectible.
fully_paid_at
string<date-time>
required

The date on which this invoice was fully paid.

grand_total
integer
required

Total amount due for this invoice. For scheduled invoices, this will be the expected payment amount.

remaining_amount
integer
required

Remaining amount for this invoice.

currency
string
required

The currency in which the invoice is denominated (e.g., USD, EUR).

is_renewal_estimate
boolean
required

This is an estimate for a renewal that has not yet closed, but is expected to.

time_zone
string

Invoice timezone

payments
object[]

The latest 10 payments made against this invoice, ordered by paid_at descending.

attachments
any[]

Current attachments for this invoice as a flat array. Each item includes 'target' field indicating invoice or subscription level. Sorted by unified order.

line_items
object[]

Line item breakdown for this invoice